List:Internals« Previous MessageNext Message »
From:jonas.oreland Date:June 9 2005 8:07am
Subject:bk commit into 4.1 tree (joreland:1.2279)
View as plain text  
Below is the list of changes that have just been committed into a local
4.1 repository of jonas. When jonas does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet
  1.2279 05/06/09 08:07:48 joreland@stripped +1 -0
  ndb - autotest
    small script fixes
    - Don't use hostname -s as it's linux specific
    - Don't remove result unless scp worked

  ndb/test/run-test/ndb-autotest.sh
    1.14 05/06/09 08:07:45 joreland@stripped +5 -2
    Don't use hostname -s as it's linux specific
    Don't remove result unless scp worked

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	joreland
# Host:	eel.ndb.mysql.com.ndb.mysql.com
# Root:	/home/jonas/src/mysql-4.1

--- 1.13/ndb/test/run-test/ndb-autotest.sh	Mon May 30 11:55:43 2005
+++ 1.14/ndb/test/run-test/ndb-autotest.sh	Thu Jun  9 08:07:45 2005
@@ -13,7 +13,7 @@
 VERSION="ndb-autotest.sh version 1.04"
 
 DATE=`date '+%Y-%m-%d'`
-HOST=`hostname -s`
+HOST=`hostname`
 export DATE HOST
 
 set -e
@@ -330,7 +330,10 @@
 		tar cfz /tmp/res.$2.$$.tgz `basename $p2`/$DATE
 		scp /tmp/res.$2.$$.tgz \
 		    $result_host:$result_path/res.$DATE.$HOST.$2.$$.tgz
-		rm -f /tmp/res.$2.$$.tgz
+		if [ $? -eq 0 ]
+		then
+		    rm -f /tmp/res.$2.$$.tgz
+		fi
 	fi
 }
 
Thread
bk commit into 4.1 tree (joreland:1.2279)jonas.oreland9 Jun